/* fcntl.h: File control. */

#ifndef _FCNTL_H
#define _FCNTL_H

#include <bits/open-flags.h>
#include <sys/types.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /* Open a file path and return a file descriptor to it. */
    int open(const char* path, int flags, ...);

    /* Create a file and return a file descriptor to it. */
    int creat(const char* path, mode_t mode);

#ifdef __cplusplus
}
#endif

#endif
